io.vertx.ext.web.templ

## Interface JadeTemplateEngine

- All Superinterfaces:
    TemplateEngine

      public interface JadeTemplateEngine
      extends TemplateEngine

  A template engine that uses Jade.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JadeTemplateEngine` | `create()` Create a template engine using defaults
    `de.neuland.jade4j.JadeConfiguration` | `getJadeConfiguration()` Get a reference to the internal JadeConfiguration object so it can be configured.
    `JadeTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `JadeTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from interface io.vertx.ext.web.templ.TemplateEngine

      `isCachingEnabled, render, render`

- - ### Field Detail

    - #### DEFAULT_MAX_CACHE_SIZE

          static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static JadeTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          JadeTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          JadeTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### getJadeConfiguration

          de.neuland.jade4j.JadeConfiguration getJadeConfiguration()

      Get a reference to the internal JadeConfiguration object so it can be configured.
      Returns:
        a reference to the internal JadeConfiguration instance.

Copyright © 2018 Eclipse. All rights reserved.